nRF51 SDK: Bootloader API.

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Functions
Bootloader API.
Bootloader/DFU API

Bootloader module interface. More...

## Modules

| Types and definitions.
| Bootloader module type and definitions.

## Functions

bool | bootloader_app_is_valid (uint32_t app_addr)
| Function for validating application region. More...
uint32_t | bootloader_dfu_start (void)
| Function for starting the Device Firmware Update. More...
void | bootloader_app_start (uint32_t app_addr)
| Function for. More...
void | bootloader_settings_get (bootloader_settings_t *const p_settings)
| Function for retrieving the bootloader settings. More...
void | bootloader_dfu_update_process (dfu_update_status_t update_status)
| Function for processing DFU status update. More...

## Detailed Description

Bootloader module interface.

## Function Documentation

bool bootloader_app_is_valid | ( | uint32_t | app_addr | ) |

Function for validating application region.

Parameters

  [in] | app_addr | Address to the region where the application is stored.

Return values

  true | If Application region is valid.
  false | If Application region is not valid.

void bootloader_app_start | ( | uint32_t | app_addr | ) |

Function for.

Parameters

  [in] | app_addr | Address to the region where the application is stored.

uint32_t bootloader_dfu_start | ( | void |  | ) |

Function for starting the Device Firmware Update.

Return values

  NRF_SUCCESS | If new appliction image was successfully transfered.

void bootloader_dfu_update_process | ( | dfu_update_status_t | update_status | ) |

Function for processing DFU status update.

Parameters

  [in] | update_status | DFU update status.

void bootloader_settings_get | ( | bootloader_settings_t *const | p_settings | ) |

Function for retrieving the bootloader settings.

Parameters

  [out] | p_settings | A copy of the current bootloader settings is returned in the structure provided.